import { Command } from 'commander';
/**
 * 以交互方式获取配置
 *
 * @param options
 */
export declare function getOptionsWithConfirm(options: CreateOptions): Promise<{
    version: string;
    projectName: string;
    packageName: string;
    packageVersion: string;
    packageDescription?: string | undefined;
    auth?: string | undefined;
}>;
/**
 * 获取命令行参数
 *
 * @param projectName 项目名称
 * @param packageName 模块名
 * @param program 命令行程序
 */
export declare function getOptions(projectName: string, packageName: string, program: Command): Promise<{
    version: any;
    projectName: string;
    packageName: string;
    packageDescription: string;
    packageVersion: string;
} | {
    version: string;
    projectName: string;
    packageName: string;
    packageVersion: string;
    packageDescription?: string | undefined;
    auth?: string | undefined;
}>;
