"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* eslint-disable no-console */
var commander_1 = require("commander");
var chalk_1 = tslib_1.__importDefault(require("chalk"));
var paths_1 = require("./config/paths");
var create_1 = tslib_1.__importDefault(require("./create"));
var program = new commander_1.Command('ts-lib-scripts');
program.version(paths_1.cliPackageInfo.version);
program
    .command('create <projectName>')
    .description('创建TypeScript项目。')
    .option('--packageVersion <version>', '项目版本号', '0.1.0')
    .option('--packageName <name>', '项目名称，默认与projectName。packageName用于package.json中的name，而projectName则用于项目的根目录名称。')
    .option('--target <target>', '库构建的目标，可选项为web和node', 'web')
    .option('-i', '以交互的方式创建项目')
    .option('--packageDescription,-d <description>', '添加项目描述')
    .option('--author <author>', '指定作者')
    .action(function (projectName, options) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        create_1.default(projectName, options);
        return [2 /*return*/];
    });
}); });
program.on('command:*', function () {
    var commandName = program.args[0];
    console.error(chalk_1.default.red('错误！') + " ts-lib-scripts\u6CA1\u6709" + chalk_1.default.red(commandName) + "\u547D\u4EE4\u3002\u60A8\u5982\u679C\u60F3\u521B\u5EFA\u9879\u76EE\uFF0C\u8BF7\u4F7F\u7528\u4E0B\u9762\u7684\u547D\u4EE4\u884C\uFF1A" + '\n\n  ' + chalk_1.default.green("npx ts-lib-scripts create " + commandName));
    process.exit(1);
});
program.parse(process.argv);
//# sourceMappingURL=index.js.map